#!/bin/sh
set -e
set -x

day=$1
train_path=$2
model_name=$3
output_file=$4
HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"
$HADOOP fs -text ${train_path}/dt=$day/* | /root/sunmingze/alphaFM/bin/fm_predict -m model/$model_name -dim 0 -core 8 -out predict/${output_file}_$day.txt
cat predict/${output_file}_$day.txt | /root/sunmingze/AUC/AUC

# str:
# nohup sh 03_predict.sh 20240115 /dw/recommend/model/01_str_data/ model_str_big_20240114.txt model_str_big >p1_pred.log 2>&1 &
# nohup sh 03_predict.sh 20240115 /dw/recommend/model/01_str_data/ model_str_big1_20240114.txt model_str_big1 >p1_pred.log 2>&1 &
# nohup sh 03_predict.sh 20240115 /dw/recommend/model/02_str_data/ model_str_small_20240114.txt model_str_small >p2_pred.log 2>&1 &
# nohup sh 03_predict.sh 20240115 /dw/recommend/model/02_str_data/ model_str_small1_20240114.txt model_str_small1 >p2_pred.log 2>&1 &
# nohup sh 03_predict.sh 20240117 /dw/recommend/model/04_str_data/ model_str_mid_20240116.txt model_str_mid >p3_pred.log 2>&1 &
# nohup sh 03_predict.sh 20240115 /dw/recommend/model/04_str_data/ model_str_mid2_20240114.txt model_str_mid2 >p4_pred.log 2>&1 &
# nohup sh 03_predict.sh 20240115 /dw/recommend/model/04_str_data/ model_str_mid4_20240114.txt model_str_mid4 >p4_pred.log 2>&1 &
# nohup sh 03_predict.sh 20240115 /dw/recommend/model/05_str_data/ model_str_mid3_20240114.txt model_str_mid3 >p5_pred.log 2>&1 &



# ros:
# nohup sh 03_predict.sh 20231221 /dw/recommend/model/ros_sample/ model_ros_v1_20231220.txt model_ros_v1 >p_pred.log 2>&1 &
# nohup sh 03_predict.sh 20231221 /dw/recommend/model/ros_sample_v2/ model_ros_v2_20231220.txt model_ros_v2 >p_pred.log 2>&1 &
# nohup sh 03_predict.sh 20231221 /dw/recommend/model/ros_sample/ model_ros_v2_20231220.txt model_ros_v2 >p_pred.log 2>&1 &

